cudamat

module (bold = default) build dependencies
cudamat/b1 python 2.7.10 python/2.7.10/b1 cuda/7.5

also see Using Software.